cancel
Showing results for 
Search instead for 
Did you mean: 

Premature end of script headers and WordPress

papasworld
Newbie
Posts: 3
Registered: 01-01-2008

Premature end of script headers and WordPress

I have raised a ticket but in lieu of a response, I thought I would get other opinions. 
I (stupidly) upgraded my WordPress installation from 2.9 to 3.0.  As soon as it happened, I started getting 'Premature end of script headers: <file>.php' errors.  I tried all kinds of stuff to the point where I dropped all the MySQL tables, deleted the entire website and re-installed a fresh copy of WordPress V3.0.  Still get the same error message.  Tried reverting back to 2.9 (that had previously worked) and that brings up the same error message.
Does anyone have any ideas?  Help much appreciated.  Website down and no idea how to get back up and running.
Thanks
2 REPLIES
Community Veteran
Posts: 767
Registered: 29-10-2008

Re: Premature end of script headers and WordPress

I've just run a test update to version 3. When you see the error page, you just need to run a script such as this to reset script permissions. Wordpress will then update your database and, unless I've missed something, that's it.
Gabe
fforchlas
Dabbler
Posts: 15
Registered: 23-03-2010

Re: Premature end of script headers and WordPress

i just had the exact same problem - (posted a message on the wrong thread though, sorry!) gabe's solution worked a treat....
thanks!